diff -urN linux-2.6.0-test1/arch/m68k/amiga/amiints.c linux-2.6.0-test1-printk-m68k/arch/m68k/amiga/amiints.c
--- linux-2.6.0-test1/arch/m68k/amiga/amiints.c	2003-07-13 23:39:33.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/amiga/amiints.c	2003-07-23 17:11:56.000000000 -0400
@@ -126,7 +126,7 @@
 	irq_node_t *cur;
 
 	if (!node->dev_id)
-		printk("%s: Warning: dev_id of %s is zero\n",
+		printk(KERN_WARNING "%s: Warning: dev_id of %s is zero\n",
 		       __FUNCTION__, node->devname);
 
 	local_irq_save(flags);
@@ -174,7 +174,7 @@
 		}
 	}
 	local_irq_restore(flags);
-	printk ("%s: tried to remove invalid irq\n", __FUNCTION__);
+	printk (KERN_WARNING "%s: tried to remove invalid irq\n", __FUNCTION__);
 }
 
 /*
@@ -191,7 +191,7 @@
 	int error = 0;
 
 	if (irq >= AMI_IRQS) {
-		printk ("%s: Unknown IRQ %d from %s\n", __FUNCTION__,
+		printk (KERN_ERR "%s: Unknown IRQ %d from %s\n", __FUNCTION__,
 			irq, devname);
 		return -ENXIO;
 	}
@@ -239,7 +239,7 @@
 void amiga_free_irq(unsigned int irq, void *dev_id)
 {
 	if (irq >= AMI_IRQS) {
-		printk ("%s: Unknown IRQ %d\n", __FUNCTION__, irq);
+		printk (KERN_ERR "%s: Unknown IRQ %d\n", __FUNCTION__, irq);
 		return;
 	}
 
@@ -263,7 +263,7 @@
 			custom.intena = amiga_intena_vals[irq];
 	} else {
 		if (ami_irq_list[irq]->dev_id != dev_id)
-			printk("%s: removing probably wrong IRQ %d from %s\n",
+			printk(KERN_WARNING "%s: removing probably wrong IRQ %d from %s\n",
 			       __FUNCTION__, irq, ami_irq_list[irq]->devname);
 		ami_irq_list[irq]->handler = ami_badint;
 		ami_irq_list[irq]->flags   = 0;
@@ -284,7 +284,7 @@
 void amiga_enable_irq(unsigned int irq)
 {
 	if (irq >= AMI_IRQS) {
-		printk("%s: Unknown IRQ %d\n", __FUNCTION__, irq);
+		printk(KERN_ERR "%s: Unknown IRQ %d\n", __FUNCTION__, irq);
 		return;
 	}
 
@@ -293,7 +293,7 @@
 
 	/* No action for auto-vector interrupts */
 	if (irq >= IRQ_AMIGA_AUTO){
-		printk("%s: Trying to enable auto-vector IRQ %i\n",
+		printk(KERN_ERR "%s: Trying to enable auto-vector IRQ %i\n",
 		       __FUNCTION__, irq - IRQ_AMIGA_AUTO);
 		return;
 	}
@@ -319,7 +319,7 @@
 void amiga_disable_irq(unsigned int irq)
 {
 	if (irq >= AMI_IRQS) {
-		printk("%s: Unknown IRQ %d\n", __FUNCTION__, irq);
+		printk(KERN_ERR "%s: Unknown IRQ %d\n", __FUNCTION__, irq);
 		return;
 	}
 
@@ -328,7 +328,7 @@
 
 	/* No action for auto-vector interrupts */
 	if (irq >= IRQ_AMIGA_AUTO) {
-		printk("%s: Trying to disable auto-vector IRQ %i\n",
+		printk(KERN_ERR "%s: Trying to disable auto-vector IRQ %i\n",
 		       __FUNCTION__, irq - IRQ_AMIGA_AUTO);
 		return;
 	}
diff -urN linux-2.6.0-test1/arch/m68k/amiga/chipram.c linux-2.6.0-test1-printk-m68k/arch/m68k/amiga/chipram.c
--- linux-2.6.0-test1/arch/m68k/amiga/chipram.c	2003-07-13 23:35:15.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/amiga/chipram.c	2003-07-23 17:09:46.000000000 -0400
@@ -49,7 +49,7 @@
     size = PAGE_ALIGN(size);
 
 #ifdef DEBUG
-    printk("amiga_chip_alloc: allocate %ld bytes\n", size);
+    printk(KERN_DEBUG "amiga_chip_alloc: allocate %ld bytes\n", size);
 #endif
     res = kmalloc(sizeof(struct resource), GFP_KERNEL);
     if (!res)
@@ -63,7 +63,7 @@
     }
     chipavail -= size;
 #ifdef DEBUG
-    printk("amiga_chip_alloc: returning %lx\n", res->start);
+    printk(KERN_DEBUG "amiga_chip_alloc: returning %lx\n", res->start);
 #endif
     return (void *)ZTWO_VADDR(res->start);
 }
@@ -86,16 +86,16 @@
     start = CHIP_PHYSADDR + chipavail - size;
 
 #ifdef DEBUG
-    printk("amiga_chip_alloc_res: allocate %ld bytes\n", size);
+    printk(KERN_DEBUG "amiga_chip_alloc_res: allocate %ld bytes\n", size);
 #endif
     if (allocate_resource(&chipram_res, res, size, start, UINT_MAX, PAGE_SIZE, NULL, NULL) < 0) {
-	printk("amiga_chip_alloc_res: first alloc failed!\n");
+	printk(KERN_INFO "amiga_chip_alloc_res: first alloc failed!\n");
 	if (allocate_resource(&chipram_res, res, size, 0, UINT_MAX, PAGE_SIZE, NULL, NULL) < 0)
 	    return NULL;
     }
     chipavail -= size;
 #ifdef DEBUG
-    printk("amiga_chip_alloc_res: returning %lx\n", res->start);
+    printk(KERN_DEBUG "amiga_chip_alloc_res: returning %lx\n", res->start);
 #endif
     return (void *)ZTWO_VADDR(res->start);
 }
@@ -112,20 +112,20 @@
 	*p = res->sibling;
 	size = res->end-start;
 #ifdef DEBUG
-	printk("amiga_chip_free: free %ld bytes at %p\n", size, ptr);
+	printk(KERN_DEBUG "amiga_chip_free: free %ld bytes at %p\n", size, ptr);
 #endif
 	chipavail += size;
 	kfree(res);
 	return;
     }
-    printk("amiga_chip_free: trying to free nonexistent region at %p\n", ptr);
+    printk(KERN_INFO "amiga_chip_free: trying to free nonexistent region at %p\n", ptr);
 }
 
 
 unsigned long amiga_chip_avail(void)
 {
 #ifdef DEBUG
-	printk("amiga_chip_avail : %ld bytes\n", chipavail);
+	printk(KERN_DEBUG "amiga_chip_avail : %ld bytes\n", chipavail);
 #endif
 	return chipavail;
 }
diff -urN linux-2.6.0-test1/arch/m68k/amiga/cia.c linux-2.6.0-test1-printk-m68k/arch/m68k/amiga/cia.c
--- linux-2.6.0-test1/arch/m68k/amiga/cia.c	2003-07-13 23:35:53.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/amiga/cia.c	2003-07-23 17:10:06.000000000 -0400
@@ -110,7 +110,7 @@
 void cia_free_irq(struct ciabase *base, unsigned int irq, void *dev_id)
 {
 	if (base->irq_list[irq].dev_id != dev_id)
-		printk("%s: removing probably wrong IRQ %i from %s\n",
+		printk(KERN_WARNING "%s: removing probably wrong IRQ %i from %s\n",
 		       __FUNCTION__, base->cia_irq + irq,
 		       base->irq_list[irq].devname);
 
diff -urN linux-2.6.0-test1/arch/m68k/amiga/config.c linux-2.6.0-test1-printk-m68k/arch/m68k/amiga/config.c
--- linux-2.6.0-test1/arch/m68k/amiga/config.c	2003-07-13 23:29:27.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/amiga/config.c	2003-07-23 17:09:01.000000000 -0400
@@ -179,7 +179,7 @@
 		dev->resource.start = (unsigned long)cd->cd_BoardAddr;
 		dev->resource.end = dev->resource.start+cd->cd_BoardSize-1;
 	    } else
-		printk("amiga_parse_bootinfo: too many AutoConfig devices\n");
+		printk(KERN_ERR "amiga_parse_bootinfo: too many AutoConfig devices\n");
 #endif /* CONFIG_ZORRO */
 	    break;
 
@@ -205,9 +205,9 @@
 
   memset(&amiga_hw_present, 0, sizeof(amiga_hw_present));
 
-  printk("Amiga hardware found: ");
+  printk(KERN_INFO "Amiga hardware found: ");
   if (amiga_model >= AMI_500 && amiga_model <= AMI_DRACO) {
-    printk("[%s] ", amiga_models[amiga_model-AMI_500]);
+    printk(KERN_INFO "[%s] ", amiga_models[amiga_model-AMI_500]);
     strcat(amiga_model_name, amiga_models[amiga_model-AMI_500]);
   }
 
@@ -318,7 +318,7 @@
 
 #define AMIGAHW_ANNOUNCE(name, str)			\
   if (AMIGAHW_PRESENT(name))				\
-    printk(str)
+    printk(KERN_NOTICE str)
 
   AMIGAHW_ANNOUNCE(AMI_VIDEO, "VIDEO ");
   AMIGAHW_ANNOUNCE(AMI_BLITTER, "BLITTER ");
@@ -350,8 +350,8 @@
   AMIGAHW_ANNOUNCE(MAGIC_REKICK, "MAGIC_REKICK ");
   AMIGAHW_ANNOUNCE(PCMCIA, "PCMCIA ");
   if (AMIGAHW_PRESENT(ZORRO))
-    printk("ZORRO%s ", AMIGAHW_PRESENT(ZORRO3) ? "3" : "");
-  printk("\n");
+    printk(KERN_NOTICE "ZORRO%s ", AMIGAHW_PRESENT(ZORRO3) ? "3" : "");
+  printk(KERN_NOTICE "\n");
 
 #undef AMIGAHW_ANNOUNCE
 }
@@ -438,7 +438,7 @@
       if (m68k_memory[i].addr < 16*1024*1024) {
 	if (i == 0) {
 	  /* don't cut off the branch we're sitting on */
-	  printk("Warning: kernel runs in Zorro II memory\n");
+	  printk(KERN_WARNING "Warning: kernel runs in Zorro II memory\n");
 	  continue;
 	}
 	disabled_z2mem += m68k_memory[i].size;
@@ -448,7 +448,7 @@
 	i--;
       }
     if (disabled_z2mem)
-      printk("%dK of Zorro II memory will not be used as system memory\n",
+      printk(KERN_NOTICE "%dK of Zorro II memory will not be used as system memory\n",
 	     disabled_z2mem>>10);
   }
 
@@ -469,7 +469,7 @@
   /* debugging using chipram */
   if (!strcmp( m68k_debug_device, "mem" )){
 	  if (!AMIGAHW_PRESENT(CHIP_RAM))
-		  printk("Warning: no chipram present for debugging\n");
+		  printk(KERN_WARNING "Warning: no chipram present for debugging\n");
 	  else {
 		  amiga_savekmsg_init();
 		  amiga_console_driver.write = amiga_mem_console_write;
@@ -500,7 +500,7 @@
 	jiffy_ticks = (amiga_eclock+HZ/2)/HZ;
 
 	if (request_resource(&mb_resources._ciab, &sched_res))
-	    printk("Cannot allocate ciab.ta{lo,hi}\n");
+	    printk(KERN_ERR "Cannot allocate ciab.ta{lo,hi}\n");
 	ciab.cra &= 0xC0;   /* turn off timer A, continuous mode, from Eclk */
 	ciab.talo = jiffy_ticks % 256;
 	ciab.tahi = jiffy_ticks / 256;
diff -urN linux-2.6.0-test1/arch/m68k/apollo/config.c linux-2.6.0-test1-printk-m68k/arch/m68k/apollo/config.c
--- linux-2.6.0-test1/arch/m68k/apollo/config.c	2003-07-13 23:37:31.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/apollo/config.c	2003-07-23 17:06:29.000000000 -0400
@@ -75,8 +75,8 @@
 void dn_setup_model(void) {
 	
 
-	printk("Apollo hardware found: ");
-	printk("[%s]\n", apollo_models[apollo_model - APOLLO_DN3000]);
+	printk(KERN_INFO "Apollo hardware found: ");
+	printk(KERN_INFO "[%s]\n", apollo_models[apollo_model - APOLLO_DN3000]);
 
 	switch(apollo_model) {
 		case APOLLO_UNKNOWN:
@@ -219,8 +219,8 @@
 	*(volatile unsigned char *)(pica+1)&=(~8);
 
 #if 0
-	printk("*(0x10803) %02x\n",*(volatile unsigned char *)(timer+0x3));
-	printk("*(0x10803) %02x\n",*(volatile unsigned char *)(timer+0x3));
+	printk(KERN_DEBUG "*(0x10803) %02x\n",*(volatile unsigned char *)(timer+0x3));
+	printk(KERN_DEBUG "*(0x10803) %02x\n",*(volatile unsigned char *)(timer+0x3));
 #endif
 
 	sched_timer_handler=timer_routine;
@@ -262,7 +262,7 @@
 
 int dn_dummy_set_clock_mmss(unsigned long nowtime) {
 
-  printk("set_clock_mmss\n");
+  printk(KERN_NOTICE "set_clock_mmss\n");
 
   return 0;
 
diff -urN linux-2.6.0-test1/arch/m68k/apollo/dma.c linux-2.6.0-test1-printk-m68k/arch/m68k/apollo/dma.c
--- linux-2.6.0-test1/arch/m68k/apollo/dma.c	2003-07-13 23:37:18.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/apollo/dma.c	2003-07-23 17:05:28.000000000 -0400
@@ -26,7 +26,7 @@
 	free_xlat_entry=next_free_xlat_entry;
 	for(i=0,xlat_map_entry=addr_xlat_map+(free_xlat_entry<<2);i<8;i++,xlat_map_entry++) {
 #if 0
-		printk("phys_addr: %x, page_aligned_addr: %x, start_map_addr: %x\n",phys_addr,page_aligned_addr,start_map_addr+i);
+		printk(KERN_WARNING "phys_addr: %x, page_aligned_addr: %x, start_map_addr: %x\n",phys_addr,page_aligned_addr,start_map_addr+i);
 #endif
 		out_be16(xlat_map_entry, start_map_addr+i);
 	}
@@ -36,7 +36,7 @@
 		next_free_xlat_entry=0;
 	
 #if 0
-	printk("next_free_xlat_entry: %d\n",next_free_xlat_entry);
+	printk(KERN_WARNING "next_free_xlat_entry: %d\n",next_free_xlat_entry);
 #endif
 
 	return free_xlat_entry<<10;
diff -urN linux-2.6.0-test1/arch/m68k/apollo/dn_ints.c linux-2.6.0-test1-printk-m68k/arch/m68k/apollo/dn_ints.c
--- linux-2.6.0-test1/arch/m68k/apollo/dn_ints.c	2003-07-13 23:35:53.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/apollo/dn_ints.c	2003-07-23 17:05:00.000000000 -0400
@@ -21,7 +21,7 @@
   if(dn_irqs[irq-160].handler) {
     res = dn_irqs[irq-160].handler(irq,dn_irqs[irq-160].dev_id,fp);
   } else {
-    printk("spurious irq %d occurred\n",irq);
+    printk(KERN_NOTICE "spurious irq %d occurred\n",irq);
   }
 
   *(volatile unsigned char *)(pica)=0x20;
@@ -46,7 +46,7 @@
 int dn_request_irq(unsigned int irq, irqreturn_t (*handler)(int, void *, struct pt_regs *), unsigned long flags, const char *devname, void *dev_id) {
 
   if((irq<0) || (irq>15)) {
-    printk("Trying to request illegal IRQ\n");
+    printk(KERN_ERR "Trying to request illegal IRQ\n");
     return -ENXIO;
   }
 
@@ -63,7 +63,7 @@
     return 0;
   }
   else {
-    printk("Trying to request already assigned irq %d\n",irq);
+    printk(KERN_ERR "Trying to request already assigned irq %d\n",irq);
     return -ENXIO;
   }
 
@@ -72,7 +72,7 @@
 void dn_free_irq(unsigned int irq, void *dev_id) {
 
   if((irq<0) || (irq>15)) {
-    printk("Trying to free illegal IRQ\n");
+    printk(KERN_ERR "Trying to free illegal IRQ\n");
     return ;
   }
 
@@ -92,19 +92,19 @@
 
 void dn_enable_irq(unsigned int irq) {
 
-  printk("dn enable irq\n");
+  printk(KERN_NOTICE "dn enable irq\n");
 
 }
 
 void dn_disable_irq(unsigned int irq) {
 
-  printk("dn disable irq\n");
+  printk(KERN_NOTICE "dn disable irq\n");
 
 }
 
 int show_dn_interrupts(struct seq_file *p, void *v) {
 
-  printk("dn get irq list\n");
+  printk(KERN_NOTICE "dn get irq list\n");
 
   return 0;
 
@@ -112,7 +112,7 @@
 
 struct fb_info *dn_dummy_fb_init(long *mem_start) {
 
-  printk("fb init\n");
+  printk(KERN_NOTICE "fb init\n");
 
   return NULL;
 
@@ -120,6 +120,6 @@
 
 void dn_dummy_video_setup(char *options,int *ints) {
 
-  printk("no video yet\n");
+  printk(KERN_NOTICE "no video yet\n");
 
 }
diff -urN linux-2.6.0-test1/arch/m68k/atari/ataints.c linux-2.6.0-test1-printk-m68k/arch/m68k/atari/ataints.c
--- linux-2.6.0-test1/arch/m68k/atari/ataints.c	2003-07-13 23:31:21.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/atari/ataints.c	2003-07-23 17:13:53.000000000 -0400
@@ -434,17 +434,17 @@
 	flags &= ~SA_SHIRQ;
 
 	if (flags == SA_INTERRUPT) {
-		printk ("%s: SA_INTERRUPT changed to IRQ_TYPE_SLOW for %s\n",
+		printk (KERN_NOTICE "%s: SA_INTERRUPT changed to IRQ_TYPE_SLOW for %s\n",
 			__FUNCTION__, devname);
 		flags = IRQ_TYPE_SLOW;
 	}
 	if (flags < IRQ_TYPE_SLOW || flags > IRQ_TYPE_PRIO) {
-		printk ("%s: Bad irq type 0x%lx <0x%lx> requested from %s\n",
+		printk (KERN_ERR "%s: Bad irq type 0x%lx <0x%lx> requested from %s\n",
 		        __FUNCTION__, flags, oflags, devname);
 		return -EINVAL;
 	}
 	if (!IS_VALID_INTNO(irq)) {
-		printk ("%s: Unknown irq %d requested from %s\n",
+		printk (KERN_ERR "%s: Unknown irq %d requested from %s\n",
 		        __FUNCTION__, irq, devname);
 		return -ENXIO;
 	}
@@ -456,7 +456,7 @@
 	 */
 	if (flags == IRQ_TYPE_SLOW &&
 		(irq < STMFP_SOURCE_BASE || irq >= SCC_SOURCE_BASE)) {
-		printk ("%s: Slow irq requested for non-MFP source %d from %s\n",
+		printk (KERN_ERR "%s: Slow irq requested for non-MFP source %d from %s\n",
 		        __FUNCTION__, irq, devname);
 		return -EINVAL;
 	}
@@ -510,7 +510,7 @@
 		local_irq_restore(flags);
 		return 0;
 	} else {
-		printk ("%s: Irq %d allocated by other type int (call from %s)\n",
+		printk (KERN_ERR "%s: Irq %d allocated by other type int (call from %s)\n",
 		        __FUNCTION__, irq, devname);
 		return -EBUSY;
 	}
@@ -523,7 +523,7 @@
 	irq_node_t **list, *node;
 
 	if (!IS_VALID_INTNO(irq)) {
-		printk("%s: Unknown irq %d\n", __FUNCTION__, irq);
+		printk(KERN_ERR "%s: Unknown irq %d\n", __FUNCTION__, irq);
 		return;
 	}
 
@@ -577,7 +577,7 @@
 	return;
 
 not_found:
-	printk("%s: tried to remove invalid irq\n", __FUNCTION__);
+	printk(KERN_ERR "%s: tried to remove invalid irq\n", __FUNCTION__);
 	return;
 }
 
diff -urN linux-2.6.0-test1/arch/m68k/atari/config.c linux-2.6.0-test1-printk-m68k/arch/m68k/atari/config.c
--- linux-2.6.0-test1/arch/m68k/atari/config.c	2003-07-13 23:35:51.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/atari/config.c	2003-07-23 17:16:41.000000000 -0400
@@ -274,52 +274,52 @@
      * Determine hardware present
      */
 
-    printk( "Atari hardware found: " );
+    printk(KERN_INFO  "Atari hardware found: " );
     if (MACH_IS_MEDUSA || MACH_IS_HADES) {
         /* There's no Atari video hardware on the Medusa, but all the
          * addresses below generate a DTACK so no bus error occurs! */
     }
     else if (hwreg_present( f030_xreg )) {
 	ATARIHW_SET(VIDEL_SHIFTER);
-        printk( "VIDEL " );
+        printk(KERN_INFO  "VIDEL " );
         /* This is a temporary hack: If there is Falcon video
          * hardware, we assume that the ST-DMA serves SCSI instead of
          * ACSI. In the future, there should be a better method for
          * this...
          */
 	ATARIHW_SET(ST_SCSI);
-        printk( "STDMA-SCSI " );
+        printk(KERN_INFO  "STDMA-SCSI " );
     }
     else if (hwreg_present( tt_palette )) {
 	ATARIHW_SET(TT_SHIFTER);
-        printk( "TT_SHIFTER " );
+        printk(KERN_INFO "TT_SHIFTER " );
     }
     else if (hwreg_present( &shifter.bas_hi )) {
         if (hwreg_present( &shifter.bas_lo ) &&
 	    (shifter.bas_lo = 0x0aau, shifter.bas_lo == 0x0aau)) {
 	    ATARIHW_SET(EXTD_SHIFTER);
-            printk( "EXTD_SHIFTER " );
+            printk(KERN_INFO "EXTD_SHIFTER " );
         }
         else {
 	    ATARIHW_SET(STND_SHIFTER);
-            printk( "STND_SHIFTER " );
+            printk(KERN_INFO "STND_SHIFTER " );
         }
     }
     if (hwreg_present( &mfp.par_dt_reg )) {
 	ATARIHW_SET(ST_MFP);
-        printk( "ST_MFP " );
+        printk(KERN_INFO "ST_MFP " );
     }
     if (hwreg_present( &tt_mfp.par_dt_reg )) {
 	ATARIHW_SET(TT_MFP);
-        printk( "TT_MFP " );
+        printk(KERN_INFO "TT_MFP " );
     }
     if (hwreg_present( &tt_scsi_dma.dma_addr_hi )) {
 	ATARIHW_SET(SCSI_DMA);
-        printk( "TT_SCSI_DMA " );
+        printk(KERN_INFO "TT_SCSI_DMA " );
     }
     if (!MACH_IS_HADES && hwreg_present( &st_dma.dma_hi )) {
 	ATARIHW_SET(STND_DMA);
-        printk( "STND_DMA " );
+        printk(KERN_INFO "STND_DMA " );
     }
     if (MACH_IS_MEDUSA || /* The ST-DMA address registers aren't readable
 			   * on all Medusas, so the test below may fail */
@@ -329,28 +329,28 @@
          (st_dma.dma_vhi = 0xaa) && (st_dma.dma_hi = 0x55) &&
          st_dma.dma_vhi == 0xaa && st_dma.dma_hi == 0x55)) {
 	ATARIHW_SET(EXTD_DMA);
-        printk( "EXTD_DMA " );
+        printk(KERN_INFO "EXTD_DMA " );
     }
     if (hwreg_present( &tt_scsi.scsi_data )) {
 	ATARIHW_SET(TT_SCSI);
-        printk( "TT_SCSI " );
+        printk(KERN_INFO "TT_SCSI " );
     }
     if (hwreg_present( &sound_ym.rd_data_reg_sel )) {
 	ATARIHW_SET(YM_2149);
-        printk( "YM2149 " );
+        printk(KERN_INFO "YM2149 " );
     }
     if (!MACH_IS_MEDUSA && !MACH_IS_HADES &&
 	hwreg_present( &tt_dmasnd.ctrl )) {
 	ATARIHW_SET(PCM_8BIT);
-        printk( "PCM " );
+        printk(KERN_INFO "PCM " );
     }
     if (!MACH_IS_HADES && hwreg_present( &codec.unused5 )) {
 	ATARIHW_SET(CODEC);
-        printk( "CODEC " );
+        printk(KERN_INFO "CODEC " );
     }
     if (hwreg_present( &dsp56k_host_interface.icr )) {
 	ATARIHW_SET(DSP56K);
-        printk( "DSP56K " );
+        printk(KERN_INFO "DSP56K " );
     }
     if (hwreg_present( &tt_scc_dma.dma_ctrl ) &&
 #if 0
@@ -362,38 +362,38 @@
 #endif
 	) {
 	ATARIHW_SET(SCC_DMA);
-        printk( "SCC_DMA " );
+        printk(KERN_INFO "SCC_DMA " );
     }
     if (scc_test( &scc.cha_a_ctrl )) {
 	ATARIHW_SET(SCC);
-        printk( "SCC " );
+        printk(KERN_INFO "SCC " );
     }
     if (scc_test( &st_escc.cha_b_ctrl )) {
 	ATARIHW_SET( ST_ESCC );
-	printk( "ST_ESCC " );
+	printk(KERN_INFO "ST_ESCC " );
     }
     if (MACH_IS_HADES)
     {
         ATARIHW_SET( VME );
-        printk( "VME " );
+        printk(KERN_INFO "VME " );
     }
     else if (hwreg_present( &tt_scu.sys_mask )) {
 	ATARIHW_SET(SCU);
 	/* Assume a VME bus if there's a SCU */
 	ATARIHW_SET( VME );
-        printk( "VME SCU " );
+        printk(KERN_INFO "VME SCU " );
     }
     if (hwreg_present( (void *)(0xffff9210) )) {
 	ATARIHW_SET(ANALOG_JOY);
-        printk( "ANALOG_JOY " );
+        printk(KERN_INFO "ANALOG_JOY " );
     }
     if (!MACH_IS_HADES && hwreg_present( blitter.halftone )) {
 	ATARIHW_SET(BLITTER);
-        printk( "BLITTER " );
+        printk(KERN_INFO "BLITTER " );
     }
     if (hwreg_present((void *)0xfff00039)) {
 	ATARIHW_SET(IDE);
-        printk( "IDE " );
+        printk(KERN_INFO "IDE " );
     }
 #if 1 /* This maybe wrong */
     if (!MACH_IS_MEDUSA && !MACH_IS_HADES &&
@@ -406,18 +406,18 @@
 	 tt_microwire.data != 0)) {
 	ATARIHW_SET(MICROWIRE);
 	while (tt_microwire.mask != 0x7ff) ;
-        printk( "MICROWIRE " );
+        printk(KERN_INFO "MICROWIRE " );
     }
 #endif
     if (hwreg_present( &tt_rtc.regsel )) {
 	ATARIHW_SET(TT_CLK);
-        printk( "TT_CLK " );
+        printk(KERN_INFO "TT_CLK " );
         mach_hwclk = atari_tt_hwclk;
         mach_set_clock_mmss = atari_tt_set_clock_mmss;
     }
     if (!MACH_IS_HADES && hwreg_present( &mste_rtc.sec_ones)) {
 	ATARIHW_SET(MSTE_CLK);
-        printk( "MSTE_CLK ");
+        printk(KERN_INFO "MSTE_CLK ");
         mach_hwclk = atari_mste_hwclk;
         mach_set_clock_mmss = atari_mste_set_clock_mmss;
     }
@@ -425,13 +425,13 @@
 	hwreg_present( &dma_wd.fdc_speed ) &&
 	hwreg_write( &dma_wd.fdc_speed, 0 )) {
 	    ATARIHW_SET(FDCSPEED);
-	    printk( "FDC_SPEED ");
+	    printk(KERN_INFO "FDC_SPEED ");
     }
     if (!MACH_IS_HADES && !ATARIHW_PRESENT(ST_SCSI)) {
 	ATARIHW_SET(ACSI);
-        printk( "ACSI " );
+        printk(KERN_INFO "ACSI " );
     }
-    printk("\n");
+    printk(KERN_INFO "\n");
 
     if (CPU_IS_040_OR_060)
         /* Now it seems to be safe to turn of the tt0 transparent
diff -urN linux-2.6.0-test1/arch/m68k/bvme6000/bvmeints.c linux-2.6.0-test1-printk-m68k/arch/m68k/bvme6000/bvmeints.c
--- linux-2.6.0-test1/arch/m68k/bvme6000/bvmeints.c	2003-07-13 23:30:47.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/bvme6000/bvmeints.c	2003-07-23 17:17:28.000000000 -0400
@@ -64,7 +64,7 @@
                 unsigned long flags, const char *devname, void *dev_id)
 {
 	if (irq > 255) {
-		printk("%s: Incorrect IRQ %d from %s\n", __FUNCTION__, irq, devname);
+		printk(KERN_ERR "%s: Incorrect IRQ %d from %s\n", __FUNCTION__, irq, devname);
 		return -ENXIO;
 	}
 #if 0
@@ -78,12 +78,12 @@
 #endif
 	if (!(irq_tab[irq].flags & IRQ_FLG_STD)) {
 		if (irq_tab[irq].flags & IRQ_FLG_LOCK) {
-			printk("%s: IRQ %d from %s is not replaceable\n",
+			printk(KERN_ERR "%s: IRQ %d from %s is not replaceable\n",
 			       __FUNCTION__, irq, irq_tab[irq].devname);
 			return -EBUSY;
 		}
 		if (flags & IRQ_FLG_REPLACE) {
-			printk("%s: %s can't replace IRQ %d from %s\n",
+			printk(KERN_ERR "%s: %s can't replace IRQ %d from %s\n",
 			       __FUNCTION__, devname, irq, irq_tab[irq].devname);
 			return -EBUSY;
 		}
@@ -98,7 +98,7 @@
 void bvme6000_free_irq(unsigned int irq, void *dev_id)
 {
 	if (irq > 255) {
-		printk("%s: Incorrect IRQ %d\n", __FUNCTION__, irq);
+		printk(KERN_ERR "%s: Incorrect IRQ %d\n", __FUNCTION__, irq);
 		return;
 	}
 #if 0
@@ -108,7 +108,7 @@
 	}
 #endif
 	if (irq_tab[irq].dev_id != dev_id)
-		printk("%s: Removing probably wrong IRQ %d from %s\n",
+		printk(KERN_WARNING "%s: Removing probably wrong IRQ %d from %s\n",
 		       __FUNCTION__, irq, irq_tab[irq].devname);
 
 	irq_tab[irq].handler = bvme6000_defhand;
@@ -120,7 +120,7 @@
 irqreturn_t bvme6000_process_int (unsigned long vec, struct pt_regs *fp)
 {
 	if (vec > 255) {
-		printk ("bvme6000_process_int: Illegal vector %ld", vec);
+		printk (KERN_ERR "bvme6000_process_int: Illegal vector %ld", vec);
 		return IRQ_NONE;
 	} else {
 		irq_tab[vec].count++;
@@ -145,7 +145,7 @@
 
 static irqreturn_t bvme6000_defhand (int irq, void *dev_id, struct pt_regs *fp)
 {
-	printk ("Unknown interrupt 0x%02x\n", irq);
+	printk (KERN_ERR "Unknown interrupt 0x%02x\n", irq);
 	return IRQ_NONE;
 }
 
diff -urN linux-2.6.0-test1/arch/m68k/kernel/bios32.c linux-2.6.0-test1-printk-m68k/arch/m68k/kernel/bios32.c
--- linux-2.6.0-test1/arch/m68k/kernel/bios32.c	2003-07-13 23:34:40.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/kernel/bios32.c	2003-07-23 16:44:27.000000000 -0400
@@ -207,7 +207,7 @@
 				break;
 
 			case PCI_BASE_ADDRESS_MEM_TYPE_1M:
-				printk("bios32 WARNING: slot %d, function %d "
+				printk(KERN_WARNING "bios32 WARNING: slot %d, function %d "
 				       "requests memory below 1MB---don't "
 				       "know how to do that.\n",
 				       PCI_SLOT(dev->devfn),
@@ -481,7 +481,7 @@
 
 void __init pcibios_init(void)
 {
-	printk("Linux/m68k PCI BIOS32 revision %x.%02x\n", MAJOR_REV, MINOR_REV);
+	printk(KERN_INFO "Linux/m68k PCI BIOS32 revision %x.%02x\n", MAJOR_REV, MINOR_REV);
 
 	bus_info = NULL;
 #ifdef CONFIG_HADES
@@ -490,13 +490,13 @@
 #endif
 	if (bus_info != NULL)
 	{
-		printk("PCI: Probing PCI hardware\n");
+		printk(KERN_INFO "PCI: Probing PCI hardware\n");
 		pci_scan_bus(0, bus_info->m68k_pci_ops, bus_info);
 		pcibios_fixup();
 		pcibios_claim_resources(pci_root);
 	}
 	else
-		printk("PCI: No PCI bus detected\n");
+		printk(KERN_INFO "PCI: No PCI bus detected\n");
 }
 
 char * __init pcibios_setup(char *str)
diff -urN linux-2.6.0-test1/arch/m68k/kernel/ints.c linux-2.6.0-test1-printk-m68k/arch/m68k/kernel/ints.c
--- linux-2.6.0-test1/arch/m68k/kernel/ints.c	2003-07-13 23:34:02.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/kernel/ints.c	2003-07-23 16:43:15.000000000 -0400
@@ -111,7 +111,7 @@
 		if (!node->handler)
 			return node;
 
-	printk ("new_irq_node: out of nodes\n");
+	printk (KERN_WARNING "new_irq_node: out of nodes\n");
 	return NULL;
 }
 
@@ -137,7 +137,7 @@
                     unsigned long flags, const char *devname, void *dev_id)
 {
 	if (irq < IRQ1 || irq > IRQ7) {
-		printk("%s: Incorrect IRQ %d from %s\n",
+		printk(KERN_ERR "%s: Incorrect IRQ %d from %s\n",
 		       __FUNCTION__, irq, devname);
 		return -ENXIO;
 	}
@@ -145,12 +145,12 @@
 #if 0
 	if (!(irq_list[irq].flags & IRQ_FLG_STD)) {
 		if (irq_list[irq].flags & IRQ_FLG_LOCK) {
-			printk("%s: IRQ %d from %s is not replaceable\n",
+			printk(KERN_ERR "%s: IRQ %d from %s is not replaceable\n",
 			       __FUNCTION__, irq, irq_list[irq].devname);
 			return -EBUSY;
 		}
 		if (!(flags & IRQ_FLG_REPLACE)) {
-			printk("%s: %s can't replace IRQ %d from %s\n",
+			printk(KERN_ERR "%s: %s can't replace IRQ %d from %s\n",
 			       __FUNCTION__, devname, irq, irq_list[irq].devname);
 			return -EBUSY;
 		}
@@ -167,12 +167,12 @@
 void sys_free_irq(unsigned int irq, void *dev_id)
 {
 	if (irq < IRQ1 || irq > IRQ7) {
-		printk("%s: Incorrect IRQ %d\n", __FUNCTION__, irq);
+		printk(KERN_ERR "%s: Incorrect IRQ %d\n", __FUNCTION__, irq);
 		return;
 	}
 
 	if (irq_list[irq].dev_id != dev_id)
-		printk("%s: Removing probably wrong IRQ %d from %s\n",
+		printk(KERN_WARNING "%s: Removing probably wrong IRQ %d from %s\n",
 		       __FUNCTION__, irq, irq_list[irq].devname);
 
 	irq_list[irq].handler = (*mach_default_handler)[irq];
@@ -206,25 +206,25 @@
 
 static void dummy_enable_irq(unsigned int irq)
 {
-	printk("calling uninitialized enable_irq()\n");
+	printk(KERN_WARNING "calling uninitialized enable_irq()\n");
 }
 
 static void dummy_disable_irq(unsigned int irq)
 {
-	printk("calling uninitialized disable_irq()\n");
+	printk(KERN_WARNING "calling uninitialized disable_irq()\n");
 }
 
 static int dummy_request_irq(unsigned int irq,
 		irqreturn_t (*handler) (int, void *, struct pt_regs *),
 		unsigned long flags, const char *devname, void *dev_id)
 {
-	printk("calling uninitialized request_irq()\n");
+	printk(KERN_WARNING "calling uninitialized request_irq()\n");
 	return 0;
 }
 
 static void dummy_free_irq(unsigned int irq, void *dev_id)
 {
-	printk("calling uninitialized disable_irq()\n");
+	printk(KERN_WARNING "calling uninitialized disable_irq()\n");
 }
 
 asmlinkage void process_int(unsigned long vec, struct pt_regs *fp)
diff -urN linux-2.6.0-test1/arch/m68k/kernel/process.c linux-2.6.0-test1-printk-m68k/arch/m68k/kernel/process.c
--- linux-2.6.0-test1/arch/m68k/kernel/process.c	2003-07-13 23:39:32.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/kernel/process.c	2003-07-23 16:51:49.000000000 -0400
@@ -127,17 +127,17 @@
 
 void show_regs(struct pt_regs * regs)
 {
-	printk("\n");
-	printk("Format %02x  Vector: %04x  PC: %08lx  Status: %04x    %s\n",
+	printk(KERN_EMERG "\n");
+	printk(KERN_EMERG "Format %02x  Vector: %04x  PC: %08lx  Status: %04x    %s\n",
 	       regs->format, regs->vector, regs->pc, regs->sr, print_tainted());
-	printk("ORIG_D0: %08lx  D0: %08lx  A2: %08lx  A1: %08lx\n",
+	printk(KERN_EMERG "ORIG_D0: %08lx  D0: %08lx  A2: %08lx  A1: %08lx\n",
 	       regs->orig_d0, regs->d0, regs->a2, regs->a1);
-	printk("A0: %08lx  D5: %08lx  D4: %08lx\n",
+	printk(KERN_EMERG "A0: %08lx  D5: %08lx  D4: %08lx\n",
 	       regs->a0, regs->d5, regs->d4);
-	printk("D3: %08lx  D2: %08lx  D1: %08lx\n",
+	printk(KERN_EMERG "D3: %08lx  D2: %08lx  D1: %08lx\n",
 	       regs->d3, regs->d2, regs->d1);
 	if (!(regs->sr & PS_S))
-		printk("USP: %08lx\n", rdusp());
+		printk(KERN_EMERG "USP: %08lx\n", rdusp());
 }
 
 /*
diff -urN linux-2.6.0-test1/arch/m68k/kernel/setup.c linux-2.6.0-test1-printk-m68k/arch/m68k/kernel/setup.c
--- linux-2.6.0-test1/arch/m68k/kernel/setup.c	2003-07-13 23:38:37.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/kernel/setup.c	2003-07-23 16:46:02.000000000 -0400
@@ -150,7 +150,7 @@
 		    m68k_memory[m68k_num_memory].size = data[1];
 		    m68k_num_memory++;
 		} else
-		    printk("m68k_parse_bootinfo: too many memory chunks\n");
+		    printk(KERN_WARNING "m68k_parse_bootinfo: too many memory chunks\n");
 		break;
 
 	    case BI_RAMDISK:
@@ -181,7 +181,7 @@
 		    unknown = 1;
 	}
 	if (unknown)
-	    printk("m68k_parse_bootinfo: unknown tag 0x%04x ignored\n",
+	    printk(KERN_WARNING "m68k_parse_bootinfo: unknown tag 0x%04x ignored\n",
 		   record->tag);
 	record = (struct bi_record *)((unsigned long)record+record->size);
     }
@@ -189,7 +189,7 @@
     m68k_realnum_memory = m68k_num_memory;
 #ifdef CONFIG_SINGLE_MEMORY_CHUNK
     if (m68k_num_memory > 1) {
-	printk("Ignoring last %i chunks of physical memory\n",
+	printk(KERN_INFO "Ignoring last %i chunks of physical memory\n",
 	       (m68k_num_memory - 1));
 	m68k_num_memory = 1;
     }
@@ -365,7 +365,7 @@
 		reserve_bootmem(m68k_ramdisk.addr, m68k_ramdisk.size);
 		initrd_start = (unsigned long)phys_to_virt(m68k_ramdisk.addr);
 		initrd_end = initrd_start + m68k_ramdisk.size;
-		printk ("initrd: %08lx - %08lx\n", initrd_start, initrd_end);
+		printk (KERN_INFO "initrd: %08lx - %08lx\n", initrd_start, initrd_end);
 	}
 #endif
 
diff -urN linux-2.6.0-test1/arch/m68k/kernel/signal.c linux-2.6.0-test1-printk-m68k/arch/m68k/kernel/signal.c
--- linux-2.6.0-test1/arch/m68k/kernel/signal.c	2003-07-13 23:36:35.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/kernel/signal.c	2003-07-23 16:45:01.000000000 -0400
@@ -350,7 +350,7 @@
 		 * user process trying to return with weird frame format
 		 */
 #if DEBUG
-		printk("user process returning with weird frame format\n");
+		printk(KERN_DEBUG "user process returning with weird frame format\n");
 #endif
 		goto badframe;
 	}
@@ -451,7 +451,7 @@
 		 * user process trying to return with weird frame format
 		 */
 #if DEBUG
-		printk("user process returning with weird frame format\n");
+		printk(KERN_DEBUG "user process returning with weird frame format\n");
 #endif
 		goto badframe;
 	}
@@ -779,7 +779,7 @@
 
 	if (fsize < 0) {
 #ifdef DEBUG
-		printk ("setup_frame: Unknown frame format %#x\n",
+		printk (KERN_DEBUG "setup_frame: Unknown frame format %#x\n",
 			regs->format);
 #endif
 		goto give_sigsegv;
@@ -830,7 +830,7 @@
 		struct pt_regs *tregs =
 			(struct pt_regs *)((ulong)regs + regs->stkadj);
 #if DEBUG
-		printk("Performing stackadjust=%04x\n", regs->stkadj);
+		printk(KERN_DEBUG "Performing stackadjust=%04x\n", regs->stkadj);
 #endif
 		/* This must be copied with decreasing addresses to
                    handle overlaps.  */
@@ -857,7 +857,7 @@
 
 	if (fsize < 0) {
 #ifdef DEBUG
-		printk ("setup_frame: Unknown frame format %#x\n",
+		printk (KERN_DEBUG "setup_frame: Unknown frame format %#x\n",
 			regs->format);
 #endif
 		goto give_sigsegv;
@@ -913,7 +913,7 @@
 		struct pt_regs *tregs =
 			(struct pt_regs *)((ulong)regs + regs->stkadj);
 #if DEBUG
-		printk("Performing stackadjust=%04x\n", regs->stkadj);
+		printk(KERN_DEBUG "Performing stackadjust=%04x\n", regs->stkadj);
 #endif
 		/* This must be copied with decreasing addresses to
                    handle overlaps.  */
